Bug 435589 - apply "alternate list background" in KDE to GTK apps
apply "alternate list background" in KDE to GTK apps
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 02:58 EST by Greg
Modified: 2009-03-21 15:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-21 15:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg 2008-03-02 02:58:58 EST
Description of problem:
KDE does not apply the 'alternate row background color in lists" to GTK apps. 
When using light text on a dark background, the alternate bg color in lists in
GTK makes the lists nearly impossible to read.

Version-Release number of selected component (if applicable):
3.5.8-32.fc8

How reproducible:
always

Steps to Reproduce:
1. Use a dark background theme (such as "Dark Blue")
2. Open a GTK app
3. Open a GTK app window that has a list (e.g., file open dialog)
  
Actual results:
every other row is difficult to read due to light background and light text.

Expected results:
every other row should use KDE alternate list background color

Additional info:
KDE should write the following to gtkrc:

(color is an example, matches my KDE alternate list bg):
style "default"
{
  GtkTreeView::odd_row_color    = { 0.000, 0.259, 0.482 }
... and so forth
Comment 1 Bug Zapper 2008-11-26 04:59:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kevin Kofler 2008-11-26 06:01:39 EST
Still current. This should probably be reported upstream.
Comment 3 Steven M. Parrish 2009-01-09 09:02:19 EST
Reporter, please report this upstream at bugs.kde.org  then add upstream report information to this report.  We will monitor upstream for a resolution.

Thanks
Comment 4 Steven M. Parrish 2009-03-21 15:01:42 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.